function crear(){
	
	if (get("zona")!=="" && get("intentos")!=="" && get('senszona') != '') {
		url="./phpfiles/roi_crea_zona.php?zona="+get("zona")+"&ras="+get("ras")+"&intentos="+get("intentos")+"&senszona="+get("senszona");
		respu = ajax(url);
		parm = respu.split('|');
		if (parm[1]=="OK") {
			changeElementValue("zonsel", get("zona"));
			applyProperty("laycrea", "visibility", "hidden");
			pui.click();
		} else {
			changeElementValue("txterr", parm[1]);
		}	
	} else {
		changeElementValue("txterr", "Zona e intentos de alcance son obligatorios");
	}	
}

function crear_controlador(){
	
	if (get("ip")!="" && get('puerto') != '') {
		url="./phpfiles/roi_crea_controlador.php?controlador="+get("controlador")+"&ip="+get("ip")+"&puerto="+get("puerto");
		respu = ajax(url);
		if (respu == "OK") {
			applyProperty("laycrea_controlador", "visibility", "hidden");
			pui.click();
		} else {
			changeElementValue("txterr2", respu);
		}	
	} else {
		changeElementValue("txterr2", "Todos los campos deben estar rellenos");
	}	
}

function actualizar(){
	
	if (get("intentos")=="") {
		changeElementValue("txterr", "Introducir número de intentos ");
	} else {	
		url="./phpfiles/roi_actualiza_zona.php?zona="+get("zona")+"&ras="+get("ras")+"&intentos="+get("intentos")+"&senszona="+get("senszona");
		respu = ajax(url);
		parm = respu.split('|');
		if (parm[0]=="OK") {
			row=get("rowact");
			changeElementValue("zonsel", get("zona"));
			applyProperty("laycrea", "visibility", "hidden");
			getObj("grid1").grid.setDataValue(row, "intentos2", get("intentos"));
			getObj("grid1").grid.setDataValue(row, "senzonag", get("senszona"));
						
			getObj("grid1").grid.scrollToRow(row);
			url="./phpfiles/roi_ver_zona.php?zona="+get("zona")+"&ras="+get('ras');
			respu = ajax(url);
			parm = respu.split('|');
			if (parm[0]!="OK") {
				alert("Error representando zona");
			}	
		} else {
			alert("Error actualizando zona");
		}	
	}
}
function eliminar(row){
	
	zona=getObj("grid1").grid.getDataValue(row, "zona2");
	url="./phpfiles/roi_elimina_zona.php?zona="+zona+"&ras="+get("ras");
	respu = ajax(url);
	parm = respu.split('|');
	if (parm[0]=="OK") {
		changeElementValue("zonsel", "-");
		pui.click();
	} else {
		alert("Error eliminando accion");
	}	
	
}
function selzona(row){
	
	zona=getObj("grid1").grid.getDataValue(row, "zona2");
	intentos=getObj("grid1").grid.getDataValue(row, "intentos2");
	senzona = get('senzonag.'+row);
	changeElementValue('senszona',senzona);
	changeElementValue("zonsel",zona);
	changeElementValue("zona",zona);
	changeElementValue("rowact",row);
	changeElementValue("intentos",intentos);
	applyProperty("zona", "disabled", "true");
	applyProperty("laycrea", "top", "35px");
	applyProperty("laycrea", "left", "0px");
	applyProperty("laycrea", "header text", "Modificar Zona");
	applyProperty("laycrea", "visibility", "visible");
	changeElementValue("accion","cambio");
	document.getElementById('intentos').focus();
	url="./phpfiles/roi_selecciona_zona.php?zona="+zona+"&ras="+get("ras");
	respu = ajax(url);
	parm = respu.split('|');
	if (parm[0]!="OK") {
		alert("Error seleccionando zona");
	} else {
		verzona(row);	
	}
}
function ver_recarga(){
	
	intervalo=parseInt(get("intervalo"),10);
	clearInterval(intervalo);
	
	intervalo = setInterval(ver_acciones, 3000);
	changeElementValue("intervalo",intervalo);
	
}
function ver_acciones() {

	url="./phpfiles/roi_acciones.php"+"?ras="+get("ras");
	respu = ajax(url);
	parm = respu.split('|');
	if (parm[0]=="OK") {
		
		if (parm[1]=='RELOAD') {
			pui.click();
		}
		
	} else {
		
		alert("Error en ejecucion de Control");
		
	}	

	
}
function verzona(row){

	zona=getObj("grid1").grid.getDataValue(row, "zona2");	
	if (zona!=="") {
		url="./phpfiles/roi_ver_zona.php?zona="+zona+"&ras="+get('ras');
		respu = ajax(url);
		parm = respu.split('|');
		if (parm[0]!="OK") {
			alert("Error representando zona");
		}	
	}
}
function fijar(){
	
	if (get("sens")==="") {
		alert("Deben introducirse valores para fijar");
	} else {	
		url="./phpfiles/roi_fijar_roiwh_umbral.php?ras="+get("ras")+"&umbral="+get("sens");
		respu = ajax(url);
		parm = respu.split('|');
		if (parm[0]=="OK") {
			changeElementValue("zonsel", "-");
			pui.click();
		} else {
			alert("Error fijando");
		}	
	}
	
}
function reset_lanza(){
	
	url="./phpfiles/roi_reset_zonas_lanzamiento.php";
	respu = ajax(url);
	parm = respu.split('|');
	if (parm[0]!="OK") {
		alert("!!!! Error haciendo reset en zonas de lanzamiento");
	} else {
		pui.click();
	}	
	
}
function reset_exclu(row){
	
	zona=getObj("grid1").grid.getDataValue(row, "zona2");
	url="./phpfiles/roi_reset_zonas_exclusion.php?zona="+zona+"&ras="+get("ras");
	respu = ajax(url);
	parm = respu.split('|');
	if (parm[0]!="OK") {
		alert("!!!! Error haciendo reset en zonas de exclusion");
	} else {
		pui.click();
	}	
	
}
function reset_camino(row){
	
	zona=getObj("grid1").grid.getDataValue(row, "zona2");
	url="./phpfiles/roi_reset_zonas_camino.php?zona="+zona+"&ras="+get("ras");
	respu = ajax(url);
	parm = respu.split('|');
	if (parm[0]!="OK") {
		alert("!!!! Error haciendo reset en camino");
	} else {
		pui.click();
	}	
	
}

function abrir_crear(){
	applyProperty("laycrea", "top", "60px");
	applyProperty("laycrea", "left", "0px");
	applyProperty("laycrea", "visibility", "visible");
	applyProperty("laycrea", "header text", "Crear Zona");
	changeElementValue("accion","crear");
	changeElementValue("zona","");
	changeElementValue("intentos","");
	applyProperty("zona", "disabled", "false");
	document.getElementById('zona').focus();
}

function abrir_crear_controlador(){
	applyProperty("laycrea_controlador", "top", "60px");
	applyProperty("laycrea_controlador", "left", "0px");
	applyProperty("laycrea_controlador", "visibility", "visible");
	changeElementValue("ip","");
	changeElementValue("puerto","");
	document.getElementById('zona').focus();
}

function mostrar_capa_leds(row){
	
	changeElementValue('rowact',row);
	url="./phpfiles/roi_actualiza_leds.php?zona="+get('zona2.'+row)+"&ras="+get("ras")+'&proceso=CARGAR';
	respu = ajax(url);
	if (respu != 'ERROR') {
		parm = respu.split('|');
		if (parm[0] != '0') changeElementValue('cbcontrolador',parm[0]);
		parm[1] == '0' ? changeElementValue('leddesde','') : changeElementValue('leddesde',parm[1]);
		parm[2] == '0' ? changeElementValue('ledhasta','') : changeElementValue('ledhasta',parm[2]);
		parm[3] == '0' ? changeElementValue('ledtira','') : changeElementValue('ledtira',parm[3]);
	}
	
	applyProperty("layleds", "top", "60px");
	applyProperty("layleds", "left", "0px");
	applyProperty("layleds", "visibility", "visible");
	
	document.getElementById('cbcontrolador').focus();
}

function actualizar_leds() {
	row = get('rowact');
	url="./phpfiles/roi_actualiza_leds.php?zona="+get('zona2.'+row)+"&ras="+get('ras')+'&proceso=ACTUALIZAR'+
																						'&controlador='+get('cbcontrolador')+
																						'&leddesde='+get('leddesde')+
																						'&ledhasta='+get('ledhasta')+
																						'&ledtira='+get('ledtira');
	respu = ajax(url);
	if (respu != 'OK') {
		changeElementValue('txterr1',respu);
	} else {
		applyProperty("layleds", "visibility", "hidden");
	}
}